<!----------------------------------------------------------------------------------------------------------------------
  -- siteFooter.vue
  --------------------------------------------------------------------------------------------------------------------->

<template>
    <ul
        id="site-footer"
        class="list-inline mt-3"
    >
        <li class="list-inline-item">
            <a :href="projectURL">
                <fa :icon="[ 'fab', 'gitlab' ]"></fa>
                GitLab Project
            </a>
        </li>
        <li class="list-inline-item">
            <a :href="issuesURL">
                <fa icon="bug"></fa>
                Report Issue
            </a>
        </li>
    </ul>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<style lang="scss" scoped>
    #site-footer {
        text-align: center;
        font-size: 0.85rem;
    }
</style>

<!--------------------------------------------------------------------------------------------------------------------->

<script>
//------------------------------------------------------------------------------------------------------------------

    export default {
        name: 'SiteFooter',
        computed: {
            projectURL()
            {
                return this.$themeConfig.projectURL;
            },
            issuesURL()
            {
                return `${ this.projectURL }/issues/new`;
            }
        }
    };
</script>

<!--------------------------------------------------------------------------------------------------------------------->
